using System;
using System.Collections.Generic;
using System.Text;

namespace QuickStart.Physics.JigLibX
{
    /// <summary>
    /// An implementation of the <see cref="PhysicsManager"/> base class using JigLibX.
    /// </summary>
    public class JigLibXPhysicsManager : PhysicsManager
    {
        /// <summary>
        /// Constructs a new physics manager.
        /// </summary>
        /// <param name="game">A reference to the QuickStart QSGame instance.</param>
        public JigLibXPhysicsManager(QSGame game) : base(game)
        {
        }

        /// <summary>
        /// Creates a new physics scene.
        /// </summary>
        /// <returns>The new physics scene instance.</returns>
        public override IPhysicsScene CreateScene()
        {
            return new JigLibXScene(this.Game);
        }

        /// <summary>
        /// Releases all unmanaged resources held by the manager.
        /// </summary>
        public override void Dispose()
        {
            base.Dispose();
        }
    }
}
